summaryrefslogtreecommitdiff
path: root/tests/cond33.test
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2004-01-08 23:32:11 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2004-01-08 23:32:11 +0000
commit7dd9fee1c389ec41a9ecff56e642eea82eec9b9b (patch)
treee8f2b5f2a0820f09917b282727b9475cf18ba7ba /tests/cond33.test
parentf323a7a72bc2f93d95f08d27c616b0904308d502 (diff)
downloadautomake-7dd9fee1c389ec41a9ecff56e642eea82eec9b9b.tar.gz
* m4/mkdirp.m4 (AM_PROG_MKDIR_P): Append `.' to $(mkdir_p).
* lib/install-sh: Accept `install-sh -d' with 0..n arguments, as well as `install-sh sources... dest' with multiple sources. * tests/cond33.test: New file. * tests/instsh2.test: Add more checks for install-sh. * tests/transform.test: Test for installdirs. * tests/Makefile.am (TESTS): Add cond33.test Report from Ralf Corsepius.
Diffstat (limited to 'tests/cond33.test')
-rwxr-xr-xtests/cond33.test69
1 files changed, 69 insertions, 0 deletions
diff --git a/tests/cond33.test b/tests/cond33.test
new file mode 100755
index 000000000..3896ce23a
--- /dev/null
+++ b/tests/cond33.test
@@ -0,0 +1,69 @@
+#!/bin/sh
+# Copyright (C) 2004 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Check for conditional library with a conditional directory.
+# Report from Ralf Corsepius
+
+. ./defs
+
+set -e
+
+cat >>configure.in <<'EOF'
+AM_CONDITIONAL([INC], [test -z "$two"])
+AC_OUTPUT
+EOF
+
+cat >>Makefile.am <<'EOF'
+if INC
+include_foodir = $(includedir)/foo
+include_foo_HEADERS = foo.h
+else
+bardir = $(bindir)
+dist_bar_SCRIPTS = x.sh
+endif
+
+foo.h x.sh:
+ :>$@
+EOF
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+
+mkdir nowhere
+chmod a-w nowhere
+./configure --prefix=`pwd`/nowhere --bindir=`pwd`/bin --includedir=`pwd`/inc
+$MAKE installdirs
+test ! -d bin
+test -d inc/foo
+test ! -f inc/foo/foo.h
+rm -rf inc
+$MAKE install
+test ! -d bin
+test -f inc/foo/foo.h
+rm -rf inc
+./configure two=two \
+ --prefix=`pwd`/nowhere --bindir=`pwd`/bin --includedir=`pwd`/inc
+$MAKE install
+test ! -d inc
+test -f bin/x.sh
+$MAKE installdirs
+test ! -d inc
+test -d bin